import { UI5Config } from '@sap-ux/ui5-config';
import type { Editor } from 'mem-fs-editor';
import type { AbapDeployConfig } from '@sap-ux/ui5-config';
/**
 * Updates the base config with the required custom tasks.
 *
 * @param isLib - whether the project is a library
 * @param basePath - the base path
 * @param baseConfig - the base config
 * @param fs - the memfs editor instance
 */
export declare function updateBaseConfig(isLib: boolean, basePath: string, baseConfig: UI5Config, fs: Editor): void;
/**
 * Returns the deployment config.
 *
 * @param config - the deploy config
 * @param baseConfig - the base config
 * @returns the deploy config
 */
export declare function getDeployConfig(config: AbapDeployConfig, baseConfig: UI5Config): Promise<UI5Config>;
//# sourceMappingURL=config.d.ts.map